summaryrefslogtreecommitdiff
path: root/sys-boot
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-08-13 16:41:57 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-08-13 16:41:57 +0100
commit73d156909c1cd9641e04c1556a900ff3703a5266 (patch)
tree31ce5427f6d5c2d01345f49568a173628a0683e4 /sys-boot
parentfdc97647f9837884d5b729a8000d52bf2ecf5858 (diff)
sys-boot/grub-config-redcore : split /etc/default/grub out of main grub package
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/grub-config-redcore/files/grub (renamed from sys-boot/grub/files/grub.default-3)0
-rw-r--r--sys-boot/grub-config-redcore/grub-config-redcore-1708.ebuild30
-rw-r--r--sys-boot/grub/grub-2.02-r1708.ebuild4
3 files changed, 31 insertions, 3 deletions
diff --git a/sys-boot/grub/files/grub.default-3 b/sys-boot/grub-config-redcore/files/grub
index 7d291d8f..7d291d8f 100644
--- a/sys-boot/grub/files/grub.default-3
+++ b/sys-boot/grub-config-redcore/files/grub
diff --git a/sys-boot/grub-config-redcore/grub-config-redcore-1708.ebuild b/sys-boot/grub-config-redcore/grub-config-redcore-1708.ebuild
new file mode 100644
index 00000000..7e817dc1
--- /dev/null
+++ b/sys-boot/grub-config-redcore/grub-config-redcore-1708.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="Redcore Linux GRUB configuration files"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="sys-boot/grub"
+
+S="${FILESDIR}"
+
+src_install() {
+ dodir "/etc/default" || die
+ insinto "/etc/default" || die
+ doins -r "${S}/"* || die
+}
+
+pkg_preinst() {
+ if [[ -f ""${ROOT}"etc/default/grub" ]]; then
+ mv ""${ROOT}"etc/default/grub" ""${ROOT}"etc/default/grub.backup"
+ fi
+}
diff --git a/sys-boot/grub/grub-2.02-r1708.ebuild b/sys-boot/grub/grub-2.02-r1708.ebuild
index 44db1517..dacfc3d5 100644
--- a/sys-boot/grub/grub-2.02-r1708.ebuild
+++ b/sys-boot/grub/grub-2.02-r1708.ebuild
@@ -82,6 +82,7 @@ DEPEND="${RDEPEND}
sys-devel/bison
sys-apps/help2man
sys-apps/texinfo
+ sys-boot/grub-config-redcore
fonts? ( media-libs/freetype:2 )
grub_platforms_xen? ( app-emulation/xen-tools:= )
grub_platforms_xen-32? ( app-emulation/xen-tools:= )
@@ -274,9 +275,6 @@ src_install() {
if use multislot; then
mv "${ED%/}"/usr/share/info/grub{,2}.info || die
fi
-
- insinto /etc/default
- newins "${FILESDIR}"/grub.default-3 grub
}
pkg_postinst() {